unit schEDISalesClient_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable;

const
  { Data table rules ids
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_RDX_ARTVEN = '{D0532CCF-994D-4445-B3AC-544120B18841}';
  RID_RDX_CABVEN = '{9B9CC64F-37C7-4B46-BF30-02E8CB14ED5B}';
  RID_RDX_LUGVEN = '{8CBF6BF1-7E83-43F2-BC61-6F692B9137CC}';

  { Data table names }
  nme_RDX_ARTVEN = 'RDX_ARTVEN';
  nme_RDX_CABVEN = 'RDX_CABVEN';
  nme_RDX_LUGVEN = 'RDX_LUGVEN';

  { RDX_ARTVEN fields }
  fld_RDX_ARTVENCLAVE1 = 'CLAVE1';
  fld_RDX_ARTVENCLAVE2 = 'CLAVE2';
  fld_RDX_ARTVENCLAVE3 = 'CLAVE3';
  fld_RDX_ARTVENEANART = 'EANART';
  fld_RDX_ARTVENCODCOM = 'CODCOM';
  fld_RDX_ARTVENNUMVAR = 'NUMVAR';
  fld_RDX_ARTVENCODPRO = 'CODPRO';
  fld_RDX_ARTVENDESARTCO = 'DESARTCO';
  fld_RDX_ARTVENDESART = 'DESART';
  fld_RDX_ARTVENNUMCON = 'NUMCON';
  fld_RDX_ARTVENNUMLIS = 'NUMLIS';
  fld_RDX_ARTVENCONESP1 = 'CONESP1';
  fld_RDX_ARTVENCONESP2 = 'CONESP2';
  fld_RDX_ARTVENCONESP3 = 'CONESP3';
  fld_RDX_ARTVENVALVEN = 'VALVEN';
  fld_RDX_ARTVENPRENETCT = 'PRENETCT';
  fld_RDX_ARTVENPREBRUCT = 'PREBRUCT';
  fld_RDX_ARTVENPREINFET = 'PREINFET';
  fld_RDX_ARTVENPREINFFT = 'PREINFFT';
  fld_RDX_ARTVENPRECALCT = 'PRECALCT';
  fld_RDX_ARTVENPRENETCA = 'PRENETCA';
  fld_RDX_ARTVENPREBRUCA = 'PREBRUCA';
  fld_RDX_ARTVENPREINFEA = 'PREINFEA';
  fld_RDX_ARTVENPREINFFA = 'PREINFFA';
  fld_RDX_ARTVENPRECALCA = 'PRECALCA';
  fld_RDX_ARTVENBAPRUN1 = 'BAPRUN1';
  fld_RDX_ARTVENUNIMED1 = 'UNIMED1';
  fld_RDX_ARTVENBAPRUN2 = 'BAPRUN2';
  fld_RDX_ARTVENUNIMED2 = 'UNIMED2';
  fld_RDX_ARTVENBAPRUN3 = 'BAPRUN3';
  fld_RDX_ARTVENUNIMED3 = 'UNIMED3';
  fld_RDX_ARTVENBAPRUN4 = 'BAPRUN4';
  fld_RDX_ARTVENUNIMED4 = 'UNIMED4';
  fld_RDX_ARTVENBAPRUN5 = 'BAPRUN5';
  fld_RDX_ARTVENUNIMED5 = 'UNIMED5';
  fld_RDX_ARTVENCANVEN = 'CANVEN';
  fld_RDX_ARTVENEXIPRO = 'EXIPRO';
  fld_RDX_ARTVENDESEXI = 'DESEXI';
  fld_RDX_ARTVENESPMEDCV = 'ESPMEDCV';
  fld_RDX_ARTVENESPMEDEP = 'ESPMEDEP';
  fld_RDX_ARTVENESPMEDDE = 'ESPMEDDE';
  fld_RDX_ARTVENCANDEV = 'CANDEV';
  fld_RDX_ARTVENEANVEN = 'EANVEN';
  fld_RDX_ARTVENNOMVEN = 'NOMVEN';
  fld_RDX_ARTVENNUMTALON = 'NUMTALON';
  fld_RDX_ARTVENCANVENNET = 'CANVENNET';
  fld_RDX_ARTVENUMEDVENNET = 'UMEDVENNET';
  fld_RDX_ARTVENCANESP = 'CANESP';
  fld_RDX_ARTVENUMEDESP = 'UMEDESP';

  { RDX_ARTVEN field indexes }
  idx_RDX_ARTVENCLAVE1 = 0;
  idx_RDX_ARTVENCLAVE2 = 1;
  idx_RDX_ARTVENCLAVE3 = 2;
  idx_RDX_ARTVENEANART = 3;
  idx_RDX_ARTVENCODCOM = 4;
  idx_RDX_ARTVENNUMVAR = 5;
  idx_RDX_ARTVENCODPRO = 6;
  idx_RDX_ARTVENDESARTCO = 7;
  idx_RDX_ARTVENDESART = 8;
  idx_RDX_ARTVENNUMCON = 9;
  idx_RDX_ARTVENNUMLIS = 10;
  idx_RDX_ARTVENCONESP1 = 11;
  idx_RDX_ARTVENCONESP2 = 12;
  idx_RDX_ARTVENCONESP3 = 13;
  idx_RDX_ARTVENVALVEN = 14;
  idx_RDX_ARTVENPRENETCT = 15;
  idx_RDX_ARTVENPREBRUCT = 16;
  idx_RDX_ARTVENPREINFET = 17;
  idx_RDX_ARTVENPREINFFT = 18;
  idx_RDX_ARTVENPRECALCT = 19;
  idx_RDX_ARTVENPRENETCA = 20;
  idx_RDX_ARTVENPREBRUCA = 21;
  idx_RDX_ARTVENPREINFEA = 22;
  idx_RDX_ARTVENPREINFFA = 23;
  idx_RDX_ARTVENPRECALCA = 24;
  idx_RDX_ARTVENBAPRUN1 = 25;
  idx_RDX_ARTVENUNIMED1 = 26;
  idx_RDX_ARTVENBAPRUN2 = 27;
  idx_RDX_ARTVENUNIMED2 = 28;
  idx_RDX_ARTVENBAPRUN3 = 29;
  idx_RDX_ARTVENUNIMED3 = 30;
  idx_RDX_ARTVENBAPRUN4 = 31;
  idx_RDX_ARTVENUNIMED4 = 32;
  idx_RDX_ARTVENBAPRUN5 = 33;
  idx_RDX_ARTVENUNIMED5 = 34;
  idx_RDX_ARTVENCANVEN = 35;
  idx_RDX_ARTVENEXIPRO = 36;
  idx_RDX_ARTVENDESEXI = 37;
  idx_RDX_ARTVENESPMEDCV = 38;
  idx_RDX_ARTVENESPMEDEP = 39;
  idx_RDX_ARTVENESPMEDDE = 40;
  idx_RDX_ARTVENCANDEV = 41;
  idx_RDX_ARTVENEANVEN = 42;
  idx_RDX_ARTVENNOMVEN = 43;
  idx_RDX_ARTVENNUMTALON = 44;
  idx_RDX_ARTVENCANVENNET = 45;
  idx_RDX_ARTVENUMEDVENNET = 46;
  idx_RDX_ARTVENCANESP = 47;
  idx_RDX_ARTVENUMEDESP = 48;

  { RDX_CABVEN fields }
  fld_RDX_CABVENCLAVE1 = 'CLAVE1';
  fld_RDX_CABVENNUMINF = 'NUMINF';
  fld_RDX_CABVENFUNCION = 'FUNCION';
  fld_RDX_CABVENFECINI = 'FECINI';
  fld_RDX_CABVENFECFIN = 'FECFIN';
  fld_RDX_CABVENFECINF = 'FECINF';
  fld_RDX_CABVENPERVENINI = 'PERVENINI';
  fld_RDX_CABVENPERVENFIN = 'PERVENFIN';
  fld_RDX_CABVENEANOFI = 'EANOFI';
  fld_RDX_CABVENEANEMI = 'EANEMI';
  fld_RDX_CABVENEANREC = 'EANREC';
  fld_RDX_CABVENEANVEN = 'EANVEN';
  fld_RDX_CABVENEANALM = 'EANALM';
  fld_RDX_CABVENEANREP = 'EANREP';
  fld_RDX_CABVENEANPRO = 'EANPRO';
  fld_RDX_CABVENEANADMSA = 'EANADMSA';
  fld_RDX_CABVENEANREPSR = 'EANREPSR';
  fld_RDX_CABVENADMVENSA = 'ADMVENSA';
  fld_RDX_CABVENREPDEPSR = 'REPDEPSR';
  fld_RDX_CABVENEMAILSA = 'EMAILSA';
  fld_RDX_CABVENNUMFAXSA = 'NUMFAXSA';
  fld_RDX_CABVENNUMTELSA = 'NUMTELSA';
  fld_RDX_CABVENNUMTLXSA = 'NUMTLXSA';
  fld_RDX_CABVENX400SA = 'X400SA';
  fld_RDX_CABVENEMAILSR = 'EMAILSR';
  fld_RDX_CABVENNUMFAXSR = 'NUMFAXSR';
  fld_RDX_CABVENNUMTELSR = 'NUMTELSR';
  fld_RDX_CABVENNUMTLXSR = 'NUMTLXSR';
  fld_RDX_CABVENX400SR = 'X400SR';
  fld_RDX_CABVENNUMPRE = 'NUMPRE';
  fld_RDX_CABVENNUMINFSC = 'NUMINFSC';
  fld_RDX_CABVENNUMCON = 'NUMCON';
  fld_RDX_CABVENFECPRE = 'FECPRE';
  fld_RDX_CABVENFECINFSC = 'FECINFSC';
  fld_RDX_CABVENFECCON = 'FECCON';
  fld_RDX_CABVENDIVPED = 'DIVPED';
  fld_RDX_CABVENDIVPRE = 'DIVPRE';
  fld_RDX_CABVENDIVPAG = 'DIVPAG';
  fld_RDX_CABVENDIVPEDF = 'DIVPEDF';
  fld_RDX_CABVENDIVPREF = 'DIVPREF';
  fld_RDX_CABVENDIVPAGF = 'DIVPAGF';
  fld_RDX_CABVENTASCAM = 'TASCAM';
  fld_RDX_CABVENFECTAS = 'FECTAS';

  { RDX_CABVEN field indexes }
  idx_RDX_CABVENCLAVE1 = 0;
  idx_RDX_CABVENNUMINF = 1;
  idx_RDX_CABVENFUNCION = 2;
  idx_RDX_CABVENFECINI = 3;
  idx_RDX_CABVENFECFIN = 4;
  idx_RDX_CABVENFECINF = 5;
  idx_RDX_CABVENPERVENINI = 6;
  idx_RDX_CABVENPERVENFIN = 7;
  idx_RDX_CABVENEANOFI = 8;
  idx_RDX_CABVENEANEMI = 9;
  idx_RDX_CABVENEANREC = 10;
  idx_RDX_CABVENEANVEN = 11;
  idx_RDX_CABVENEANALM = 12;
  idx_RDX_CABVENEANREP = 13;
  idx_RDX_CABVENEANPRO = 14;
  idx_RDX_CABVENEANADMSA = 15;
  idx_RDX_CABVENEANREPSR = 16;
  idx_RDX_CABVENADMVENSA = 17;
  idx_RDX_CABVENREPDEPSR = 18;
  idx_RDX_CABVENEMAILSA = 19;
  idx_RDX_CABVENNUMFAXSA = 20;
  idx_RDX_CABVENNUMTELSA = 21;
  idx_RDX_CABVENNUMTLXSA = 22;
  idx_RDX_CABVENX400SA = 23;
  idx_RDX_CABVENEMAILSR = 24;
  idx_RDX_CABVENNUMFAXSR = 25;
  idx_RDX_CABVENNUMTELSR = 26;
  idx_RDX_CABVENNUMTLXSR = 27;
  idx_RDX_CABVENX400SR = 28;
  idx_RDX_CABVENNUMPRE = 29;
  idx_RDX_CABVENNUMINFSC = 30;
  idx_RDX_CABVENNUMCON = 31;
  idx_RDX_CABVENFECPRE = 32;
  idx_RDX_CABVENFECINFSC = 33;
  idx_RDX_CABVENFECCON = 34;
  idx_RDX_CABVENDIVPED = 35;
  idx_RDX_CABVENDIVPRE = 36;
  idx_RDX_CABVENDIVPAG = 37;
  idx_RDX_CABVENDIVPEDF = 38;
  idx_RDX_CABVENDIVPREF = 39;
  idx_RDX_CABVENDIVPAGF = 40;
  idx_RDX_CABVENTASCAM = 41;
  idx_RDX_CABVENFECTAS = 42;

  { RDX_LUGVEN fields }
  fld_RDX_LUGVENCLAVE1 = 'CLAVE1';
  fld_RDX_LUGVENCLAVE2 = 'CLAVE2';
  fld_RDX_LUGVENEANLUG = 'EANLUG';
  fld_RDX_LUGVENLUGVEN = 'LUGVEN';
  fld_RDX_LUGVENFECINI = 'FECINI';
  fld_RDX_LUGVENFECFIN = 'FECFIN';
  fld_RDX_LUGVENPERVENINI = 'PERVENINI';
  fld_RDX_LUGVENPERVENFIN = 'PERVENFIN';

  { RDX_LUGVEN field indexes }
  idx_RDX_LUGVENCLAVE1 = 0;
  idx_RDX_LUGVENCLAVE2 = 1;
  idx_RDX_LUGVENEANLUG = 2;
  idx_RDX_LUGVENLUGVEN = 3;
  idx_RDX_LUGVENFECINI = 4;
  idx_RDX_LUGVENFECFIN = 5;
  idx_RDX_LUGVENPERVENINI = 6;
  idx_RDX_LUGVENPERVENFIN = 7;

type
  { IRDX_ARTVEN }
  IRDX_ARTVEN = interface(IDAStronglyTypedDataTable)
  ['{9EC1A018-B12C-49B8-A8D7-852A5453C9B0}']
    { Property getters and setters }
    function GetCLAVE1Value: Float;
    procedure SetCLAVE1Value(const aValue: Float);
    function GetCLAVE2Value: Float;
    procedure SetCLAVE2Value(const aValue: Float);
    function GetCLAVE3Value: Float;
    procedure SetCLAVE3Value(const aValue: Float);
    function GetEANARTValue: String;
    procedure SetEANARTValue(const aValue: String);
    function GetCODCOMValue: String;
    procedure SetCODCOMValue(const aValue: String);
    function GetNUMVARValue: String;
    procedure SetNUMVARValue(const aValue: String);
    function GetCODPROValue: String;
    procedure SetCODPROValue(const aValue: String);
    function GetDESARTCOValue: String;
    procedure SetDESARTCOValue(const aValue: String);
    function GetDESARTValue: String;
    procedure SetDESARTValue(const aValue: String);
    function GetNUMCONValue: String;
    procedure SetNUMCONValue(const aValue: String);
    function GetNUMLISValue: String;
    procedure SetNUMLISValue(const aValue: String);
    function GetCONESP1Value: String;
    procedure SetCONESP1Value(const aValue: String);
    function GetCONESP2Value: String;
    procedure SetCONESP2Value(const aValue: String);
    function GetCONESP3Value: String;
    procedure SetCONESP3Value(const aValue: String);
    function GetVALVENValue: Float;
    procedure SetVALVENValue(const aValue: Float);
    function GetPRENETCTValue: Float;
    procedure SetPRENETCTValue(const aValue: Float);
    function GetPREBRUCTValue: Float;
    procedure SetPREBRUCTValue(const aValue: Float);
    function GetPREINFETValue: Float;
    procedure SetPREINFETValue(const aValue: Float);
    function GetPREINFFTValue: Float;
    procedure SetPREINFFTValue(const aValue: Float);
    function GetPRECALCTValue: Float;
    procedure SetPRECALCTValue(const aValue: Float);
    function GetPRENETCAValue: Float;
    procedure SetPRENETCAValue(const aValue: Float);
    function GetPREBRUCAValue: Float;
    procedure SetPREBRUCAValue(const aValue: Float);
    function GetPREINFEAValue: Float;
    procedure SetPREINFEAValue(const aValue: Float);
    function GetPREINFFAValue: Float;
    procedure SetPREINFFAValue(const aValue: Float);
    function GetPRECALCAValue: Float;
    procedure SetPRECALCAValue(const aValue: Float);
    function GetBAPRUN1Value: Float;
    procedure SetBAPRUN1Value(const aValue: Float);
    function GetUNIMED1Value: String;
    procedure SetUNIMED1Value(const aValue: String);
    function GetBAPRUN2Value: Float;
    procedure SetBAPRUN2Value(const aValue: Float);
    function GetUNIMED2Value: String;
    procedure SetUNIMED2Value(const aValue: String);
    function GetBAPRUN3Value: Float;
    procedure SetBAPRUN3Value(const aValue: Float);
    function GetUNIMED3Value: String;
    procedure SetUNIMED3Value(const aValue: String);
    function GetBAPRUN4Value: Float;
    procedure SetBAPRUN4Value(const aValue: Float);
    function GetUNIMED4Value: String;
    procedure SetUNIMED4Value(const aValue: String);
    function GetBAPRUN5Value: Float;
    procedure SetBAPRUN5Value(const aValue: Float);
    function GetUNIMED5Value: String;
    procedure SetUNIMED5Value(const aValue: String);
    function GetCANVENValue: Float;
    procedure SetCANVENValue(const aValue: Float);
    function GetEXIPROValue: Float;
    procedure SetEXIPROValue(const aValue: Float);
    function GetDESEXIValue: Float;
    procedure SetDESEXIValue(const aValue: Float);
    function GetESPMEDCVValue: String;
    procedure SetESPMEDCVValue(const aValue: String);
    function GetESPMEDEPValue: String;
    procedure SetESPMEDEPValue(const aValue: String);
    function GetESPMEDDEValue: String;
    procedure SetESPMEDDEValue(const aValue: String);
    function GetCANDEVValue: Float;
    procedure SetCANDEVValue(const aValue: Float);
    function GetEANVENValue: String;
    procedure SetEANVENValue(const aValue: String);
    function GetNOMVENValue: String;
    procedure SetNOMVENValue(const aValue: String);
    function GetNUMTALONValue: String;
    procedure SetNUMTALONValue(const aValue: String);
    function GetCANVENNETValue: Float;
    procedure SetCANVENNETValue(const aValue: Float);
    function GetUMEDVENNETValue: String;
    procedure SetUMEDVENNETValue(const aValue: String);
    function GetCANESPValue: Float;
    procedure SetCANESPValue(const aValue: Float);
    function GetUMEDESPValue: String;
    procedure SetUMEDESPValue(const aValue: String);


    { Properties }
    property CLAVE1: Float read GetCLAVE1Value write SetCLAVE1Value;
    property CLAVE2: Float read GetCLAVE2Value write SetCLAVE2Value;
    property CLAVE3: Float read GetCLAVE3Value write SetCLAVE3Value;
    property EANART: String read GetEANARTValue write SetEANARTValue;
    property CODCOM: String read GetCODCOMValue write SetCODCOMValue;
    property NUMVAR: String read GetNUMVARValue write SetNUMVARValue;
    property CODPRO: String read GetCODPROValue write SetCODPROValue;
    property DESARTCO: String read GetDESARTCOValue write SetDESARTCOValue;
    property DESART: String read GetDESARTValue write SetDESARTValue;
    property NUMCON: String read GetNUMCONValue write SetNUMCONValue;
    property NUMLIS: String read GetNUMLISValue write SetNUMLISValue;
    property CONESP1: String read GetCONESP1Value write SetCONESP1Value;
    property CONESP2: String read GetCONESP2Value write SetCONESP2Value;
    property CONESP3: String read GetCONESP3Value write SetCONESP3Value;
    property VALVEN: Float read GetVALVENValue write SetVALVENValue;
    property PRENETCT: Float read GetPRENETCTValue write SetPRENETCTValue;
    property PREBRUCT: Float read GetPREBRUCTValue write SetPREBRUCTValue;
    property PREINFET: Float read GetPREINFETValue write SetPREINFETValue;
    property PREINFFT: Float read GetPREINFFTValue write SetPREINFFTValue;
    property PRECALCT: Float read GetPRECALCTValue write SetPRECALCTValue;
    property PRENETCA: Float read GetPRENETCAValue write SetPRENETCAValue;
    property PREBRUCA: Float read GetPREBRUCAValue write SetPREBRUCAValue;
    property PREINFEA: Float read GetPREINFEAValue write SetPREINFEAValue;
    property PREINFFA: Float read GetPREINFFAValue write SetPREINFFAValue;
    property PRECALCA: Float read GetPRECALCAValue write SetPRECALCAValue;
    property BAPRUN1: Float read GetBAPRUN1Value write SetBAPRUN1Value;
    property UNIMED1: String read GetUNIMED1Value write SetUNIMED1Value;
    property BAPRUN2: Float read GetBAPRUN2Value write SetBAPRUN2Value;
    property UNIMED2: String read GetUNIMED2Value write SetUNIMED2Value;
    property BAPRUN3: Float read GetBAPRUN3Value write SetBAPRUN3Value;
    property UNIMED3: String read GetUNIMED3Value write SetUNIMED3Value;
    property BAPRUN4: Float read GetBAPRUN4Value write SetBAPRUN4Value;
    property UNIMED4: String read GetUNIMED4Value write SetUNIMED4Value;
    property BAPRUN5: Float read GetBAPRUN5Value write SetBAPRUN5Value;
    property UNIMED5: String read GetUNIMED5Value write SetUNIMED5Value;
    property CANVEN: Float read GetCANVENValue write SetCANVENValue;
    property EXIPRO: Float read GetEXIPROValue write SetEXIPROValue;
    property DESEXI: Float read GetDESEXIValue write SetDESEXIValue;
    property ESPMEDCV: String read GetESPMEDCVValue write SetESPMEDCVValue;
    property ESPMEDEP: String read GetESPMEDEPValue write SetESPMEDEPValue;
    property ESPMEDDE: String read GetESPMEDDEValue write SetESPMEDDEValue;
    property CANDEV: Float read GetCANDEVValue write SetCANDEVValue;
    property EANVEN: String read GetEANVENValue write SetEANVENValue;
    property NOMVEN: String read GetNOMVENValue write SetNOMVENValue;
    property NUMTALON: String read GetNUMTALONValue write SetNUMTALONValue;
    property CANVENNET: Float read GetCANVENNETValue write SetCANVENNETValue;
    property UMEDVENNET: String read GetUMEDVENNETValue write SetUMEDVENNETValue;
    property CANESP: Float read GetCANESPValue write SetCANESPValue;
    property UMEDESP: String read GetUMEDESPValue write SetUMEDESPValue;
  end;

  { TRDX_ARTVENDataTableRules }
  TRDX_ARTVENDataTableRules = class(TDADataTableRules, IRDX_ARTVEN)
  private
  protected
    { Property getters and setters }
    function GetCLAVE1Value: Float; virtual;
    procedure SetCLAVE1Value(const aValue: Float); virtual;
    function GetCLAVE2Value: Float; virtual;
    procedure SetCLAVE2Value(const aValue: Float); virtual;
    function GetCLAVE3Value: Float; virtual;
    procedure SetCLAVE3Value(const aValue: Float); virtual;
    function GetEANARTValue: String; virtual;
    procedure SetEANARTValue(const aValue: String); virtual;
    function GetCODCOMValue: String; virtual;
    procedure SetCODCOMValue(const aValue: String); virtual;
    function GetNUMVARValue: String; virtual;
    procedure SetNUMVARValue(const aValue: String); virtual;
    function GetCODPROValue: String; virtual;
    procedure SetCODPROValue(const aValue: String); virtual;
    function GetDESARTCOValue: String; virtual;
    procedure SetDESARTCOValue(const aValue: String); virtual;
    function GetDESARTValue: String; virtual;
    procedure SetDESARTValue(const aValue: String); virtual;
    function GetNUMCONValue: String; virtual;
    procedure SetNUMCONValue(const aValue: String); virtual;
    function GetNUMLISValue: String; virtual;
    procedure SetNUMLISValue(const aValue: String); virtual;
    function GetCONESP1Value: String; virtual;
    procedure SetCONESP1Value(const aValue: String); virtual;
    function GetCONESP2Value: String; virtual;
    procedure SetCONESP2Value(const aValue: String); virtual;
    function GetCONESP3Value: String; virtual;
    procedure SetCONESP3Value(const aValue: String); virtual;
    function GetVALVENValue: Float; virtual;
    procedure SetVALVENValue(const aValue: Float); virtual;
    function GetPRENETCTValue: Float; virtual;
    procedure SetPRENETCTValue(const aValue: Float); virtual;
    function GetPREBRUCTValue: Float; virtual;
    procedure SetPREBRUCTValue(const aValue: Float); virtual;
    function GetPREINFETValue: Float; virtual;
    procedure SetPREINFETValue(const aValue: Float); virtual;
    function GetPREINFFTValue: Float; virtual;
    procedure SetPREINFFTValue(const aValue: Float); virtual;
    function GetPRECALCTValue: Float; virtual;
    procedure SetPRECALCTValue(const aValue: Float); virtual;
    function GetPRENETCAValue: Float; virtual;
    procedure SetPRENETCAValue(const aValue: Float); virtual;
    function GetPREBRUCAValue: Float; virtual;
    procedure SetPREBRUCAValue(const aValue: Float); virtual;
    function GetPREINFEAValue: Float; virtual;
    procedure SetPREINFEAValue(const aValue: Float); virtual;
    function GetPREINFFAValue: Float; virtual;
    procedure SetPREINFFAValue(const aValue: Float); virtual;
    function GetPRECALCAValue: Float; virtual;
    procedure SetPRECALCAValue(const aValue: Float); virtual;
    function GetBAPRUN1Value: Float; virtual;
    procedure SetBAPRUN1Value(const aValue: Float); virtual;
    function GetUNIMED1Value: String; virtual;
    procedure SetUNIMED1Value(const aValue: String); virtual;
    function GetBAPRUN2Value: Float; virtual;
    procedure SetBAPRUN2Value(const aValue: Float); virtual;
    function GetUNIMED2Value: String; virtual;
    procedure SetUNIMED2Value(const aValue: String); virtual;
    function GetBAPRUN3Value: Float; virtual;
    procedure SetBAPRUN3Value(const aValue: Float); virtual;
    function GetUNIMED3Value: String; virtual;
    procedure SetUNIMED3Value(const aValue: String); virtual;
    function GetBAPRUN4Value: Float; virtual;
    procedure SetBAPRUN4Value(const aValue: Float); virtual;
    function GetUNIMED4Value: String; virtual;
    procedure SetUNIMED4Value(const aValue: String); virtual;
    function GetBAPRUN5Value: Float; virtual;
    procedure SetBAPRUN5Value(const aValue: Float); virtual;
    function GetUNIMED5Value: String; virtual;
    procedure SetUNIMED5Value(const aValue: String); virtual;
    function GetCANVENValue: Float; virtual;
    procedure SetCANVENValue(const aValue: Float); virtual;
    function GetEXIPROValue: Float; virtual;
    procedure SetEXIPROValue(const aValue: Float); virtual;
    function GetDESEXIValue: Float; virtual;
    procedure SetDESEXIValue(const aValue: Float); virtual;
    function GetESPMEDCVValue: String; virtual;
    procedure SetESPMEDCVValue(const aValue: String); virtual;
    function GetESPMEDEPValue: String; virtual;
    procedure SetESPMEDEPValue(const aValue: String); virtual;
    function GetESPMEDDEValue: String; virtual;
    procedure SetESPMEDDEValue(const aValue: String); virtual;
    function GetCANDEVValue: Float; virtual;
    procedure SetCANDEVValue(const aValue: Float); virtual;
    function GetEANVENValue: String; virtual;
    procedure SetEANVENValue(const aValue: String); virtual;
    function GetNOMVENValue: String; virtual;
    procedure SetNOMVENValue(const aValue: String); virtual;
    function GetNUMTALONValue: String; virtual;
    procedure SetNUMTALONValue(const aValue: String); virtual;
    function GetCANVENNETValue: Float; virtual;
    procedure SetCANVENNETValue(const aValue: Float); virtual;
    function GetUMEDVENNETValue: String; virtual;
    procedure SetUMEDVENNETValue(const aValue: String); virtual;
    function GetCANESPValue: Float; virtual;
    procedure SetCANESPValue(const aValue: Float); virtual;
    function GetUMEDESPValue: String; virtual;
    procedure SetUMEDESPValue(const aValue: String); virtual;

    { Properties }
    property CLAVE1: Float read GetCLAVE1Value write SetCLAVE1Value;
    property CLAVE2: Float read GetCLAVE2Value write SetCLAVE2Value;
    property CLAVE3: Float read GetCLAVE3Value write SetCLAVE3Value;
    property EANART: String read GetEANARTValue write SetEANARTValue;
    property CODCOM: String read GetCODCOMValue write SetCODCOMValue;
    property NUMVAR: String read GetNUMVARValue write SetNUMVARValue;
    property CODPRO: String read GetCODPROValue write SetCODPROValue;
    property DESARTCO: String read GetDESARTCOValue write SetDESARTCOValue;
    property DESART: String read GetDESARTValue write SetDESARTValue;
    property NUMCON: String read GetNUMCONValue write SetNUMCONValue;
    property NUMLIS: String read GetNUMLISValue write SetNUMLISValue;
    property CONESP1: String read GetCONESP1Value write SetCONESP1Value;
    property CONESP2: String read GetCONESP2Value write SetCONESP2Value;
    property CONESP3: String read GetCONESP3Value write SetCONESP3Value;
    property VALVEN: Float read GetVALVENValue write SetVALVENValue;
    property PRENETCT: Float read GetPRENETCTValue write SetPRENETCTValue;
    property PREBRUCT: Float read GetPREBRUCTValue write SetPREBRUCTValue;
    property PREINFET: Float read GetPREINFETValue write SetPREINFETValue;
    property PREINFFT: Float read GetPREINFFTValue write SetPREINFFTValue;
    property PRECALCT: Float read GetPRECALCTValue write SetPRECALCTValue;
    property PRENETCA: Float read GetPRENETCAValue write SetPRENETCAValue;
    property PREBRUCA: Float read GetPREBRUCAValue write SetPREBRUCAValue;
    property PREINFEA: Float read GetPREINFEAValue write SetPREINFEAValue;
    property PREINFFA: Float read GetPREINFFAValue write SetPREINFFAValue;
    property PRECALCA: Float read GetPRECALCAValue write SetPRECALCAValue;
    property BAPRUN1: Float read GetBAPRUN1Value write SetBAPRUN1Value;
    property UNIMED1: String read GetUNIMED1Value write SetUNIMED1Value;
    property BAPRUN2: Float read GetBAPRUN2Value write SetBAPRUN2Value;
    property UNIMED2: String read GetUNIMED2Value write SetUNIMED2Value;
    property BAPRUN3: Float read GetBAPRUN3Value write SetBAPRUN3Value;
    property UNIMED3: String read GetUNIMED3Value write SetUNIMED3Value;
    property BAPRUN4: Float read GetBAPRUN4Value write SetBAPRUN4Value;
    property UNIMED4: String read GetUNIMED4Value write SetUNIMED4Value;
    property BAPRUN5: Float read GetBAPRUN5Value write SetBAPRUN5Value;
    property UNIMED5: String read GetUNIMED5Value write SetUNIMED5Value;
    property CANVEN: Float read GetCANVENValue write SetCANVENValue;
    property EXIPRO: Float read GetEXIPROValue write SetEXIPROValue;
    property DESEXI: Float read GetDESEXIValue write SetDESEXIValue;
    property ESPMEDCV: String read GetESPMEDCVValue write SetESPMEDCVValue;
    property ESPMEDEP: String read GetESPMEDEPValue write SetESPMEDEPValue;
    property ESPMEDDE: String read GetESPMEDDEValue write SetESPMEDDEValue;
    property CANDEV: Float read GetCANDEVValue write SetCANDEVValue;
    property EANVEN: String read GetEANVENValue write SetEANVENValue;
    property NOMVEN: String read GetNOMVENValue write SetNOMVENValue;
    property NUMTALON: String read GetNUMTALONValue write SetNUMTALONValue;
    property CANVENNET: Float read GetCANVENNETValue write SetCANVENNETValue;
    property UMEDVENNET: String read GetUMEDVENNETValue write SetUMEDVENNETValue;
    property CANESP: Float read GetCANESPValue write SetCANESPValue;
    property UMEDESP: String read GetUMEDESPValue write SetUMEDESPValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

  { IRDX_CABVEN }
  IRDX_CABVEN = interface(IDAStronglyTypedDataTable)
  ['{5180F5AB-5BAF-4C8C-80F8-498D0D1252B5}']
    { Property getters and setters }
    function GetCLAVE1Value: Float;
    procedure SetCLAVE1Value(const aValue: Float);
    function GetNUMINFValue: String;
    procedure SetNUMINFValue(const aValue: String);
    function GetFUNCIONValue: String;
    procedure SetFUNCIONValue(const aValue: String);
    function GetFECINIValue: DateTime;
    procedure SetFECINIValue(const aValue: DateTime);
    function GetFECFINValue: DateTime;
    procedure SetFECFINValue(const aValue: DateTime);
    function GetFECINFValue: DateTime;
    procedure SetFECINFValue(const aValue: DateTime);
    function GetPERVENINIValue: DateTime;
    procedure SetPERVENINIValue(const aValue: DateTime);
    function GetPERVENFINValue: DateTime;
    procedure SetPERVENFINValue(const aValue: DateTime);
    function GetEANOFIValue: String;
    procedure SetEANOFIValue(const aValue: String);
    function GetEANEMIValue: String;
    procedure SetEANEMIValue(const aValue: String);
    function GetEANRECValue: String;
    procedure SetEANRECValue(const aValue: String);
    function GetEANVENValue: String;
    procedure SetEANVENValue(const aValue: String);
    function GetEANALMValue: String;
    procedure SetEANALMValue(const aValue: String);
    function GetEANREPValue: String;
    procedure SetEANREPValue(const aValue: String);
    function GetEANPROValue: String;
    procedure SetEANPROValue(const aValue: String);
    function GetEANADMSAValue: String;
    procedure SetEANADMSAValue(const aValue: String);
    function GetEANREPSRValue: String;
    procedure SetEANREPSRValue(const aValue: String);
    function GetADMVENSAValue: String;
    procedure SetADMVENSAValue(const aValue: String);
    function GetREPDEPSRValue: String;
    procedure SetREPDEPSRValue(const aValue: String);
    function GetEMAILSAValue: String;
    procedure SetEMAILSAValue(const aValue: String);
    function GetNUMFAXSAValue: String;
    procedure SetNUMFAXSAValue(const aValue: String);
    function GetNUMTELSAValue: String;
    procedure SetNUMTELSAValue(const aValue: String);
    function GetNUMTLXSAValue: String;
    procedure SetNUMTLXSAValue(const aValue: String);
    function GetX400SAValue: String;
    procedure SetX400SAValue(const aValue: String);
    function GetEMAILSRValue: String;
    procedure SetEMAILSRValue(const aValue: String);
    function GetNUMFAXSRValue: String;
    procedure SetNUMFAXSRValue(const aValue: String);
    function GetNUMTELSRValue: String;
    procedure SetNUMTELSRValue(const aValue: String);
    function GetNUMTLXSRValue: String;
    procedure SetNUMTLXSRValue(const aValue: String);
    function GetX400SRValue: String;
    procedure SetX400SRValue(const aValue: String);
    function GetNUMPREValue: String;
    procedure SetNUMPREValue(const aValue: String);
    function GetNUMINFSCValue: String;
    procedure SetNUMINFSCValue(const aValue: String);
    function GetNUMCONValue: String;
    procedure SetNUMCONValue(const aValue: String);
    function GetFECPREValue: DateTime;
    procedure SetFECPREValue(const aValue: DateTime);
    function GetFECINFSCValue: DateTime;
    procedure SetFECINFSCValue(const aValue: DateTime);
    function GetFECCONValue: DateTime;
    procedure SetFECCONValue(const aValue: DateTime);
    function GetDIVPEDValue: String;
    procedure SetDIVPEDValue(const aValue: String);
    function GetDIVPREValue: String;
    procedure SetDIVPREValue(const aValue: String);
    function GetDIVPAGValue: String;
    procedure SetDIVPAGValue(const aValue: String);
    function GetDIVPEDFValue: String;
    procedure SetDIVPEDFValue(const aValue: String);
    function GetDIVPREFValue: String;
    procedure SetDIVPREFValue(const aValue: String);
    function GetDIVPAGFValue: String;
    procedure SetDIVPAGFValue(const aValue: String);
    function GetTASCAMValue: Float;
    procedure SetTASCAMValue(const aValue: Float);
    function GetFECTASValue: DateTime;
    procedure SetFECTASValue(const aValue: DateTime);


    { Properties }
    property CLAVE1: Float read GetCLAVE1Value write SetCLAVE1Value;
    property NUMINF: String read GetNUMINFValue write SetNUMINFValue;
    property FUNCION: String read GetFUNCIONValue write SetFUNCIONValue;
    property FECINI: DateTime read GetFECINIValue write SetFECINIValue;
    property FECFIN: DateTime read GetFECFINValue write SetFECFINValue;
    property FECINF: DateTime read GetFECINFValue write SetFECINFValue;
    property PERVENINI: DateTime read GetPERVENINIValue write SetPERVENINIValue;
    property PERVENFIN: DateTime read GetPERVENFINValue write SetPERVENFINValue;
    property EANOFI: String read GetEANOFIValue write SetEANOFIValue;
    property EANEMI: String read GetEANEMIValue write SetEANEMIValue;
    property EANREC: String read GetEANRECValue write SetEANRECValue;
    property EANVEN: String read GetEANVENValue write SetEANVENValue;
    property EANALM: String read GetEANALMValue write SetEANALMValue;
    property EANREP: String read GetEANREPValue write SetEANREPValue;
    property EANPRO: String read GetEANPROValue write SetEANPROValue;
    property EANADMSA: String read GetEANADMSAValue write SetEANADMSAValue;
    property EANREPSR: String read GetEANREPSRValue write SetEANREPSRValue;
    property ADMVENSA: String read GetADMVENSAValue write SetADMVENSAValue;
    property REPDEPSR: String read GetREPDEPSRValue write SetREPDEPSRValue;
    property EMAILSA: String read GetEMAILSAValue write SetEMAILSAValue;
    property NUMFAXSA: String read GetNUMFAXSAValue write SetNUMFAXSAValue;
    property NUMTELSA: String read GetNUMTELSAValue write SetNUMTELSAValue;
    property NUMTLXSA: String read GetNUMTLXSAValue write SetNUMTLXSAValue;
    property X400SA: String read GetX400SAValue write SetX400SAValue;
    property EMAILSR: String read GetEMAILSRValue write SetEMAILSRValue;
    property NUMFAXSR: String read GetNUMFAXSRValue write SetNUMFAXSRValue;
    property NUMTELSR: String read GetNUMTELSRValue write SetNUMTELSRValue;
    property NUMTLXSR: String read GetNUMTLXSRValue write SetNUMTLXSRValue;
    property X400SR: String read GetX400SRValue write SetX400SRValue;
    property NUMPRE: String read GetNUMPREValue write SetNUMPREValue;
    property NUMINFSC: String read GetNUMINFSCValue write SetNUMINFSCValue;
    property NUMCON: String read GetNUMCONValue write SetNUMCONValue;
    property FECPRE: DateTime read GetFECPREValue write SetFECPREValue;
    property FECINFSC: DateTime read GetFECINFSCValue write SetFECINFSCValue;
    property FECCON: DateTime read GetFECCONValue write SetFECCONValue;
    property DIVPED: String read GetDIVPEDValue write SetDIVPEDValue;
    property DIVPRE: String read GetDIVPREValue write SetDIVPREValue;
    property DIVPAG: String read GetDIVPAGValue write SetDIVPAGValue;
    property DIVPEDF: String read GetDIVPEDFValue write SetDIVPEDFValue;
    property DIVPREF: String read GetDIVPREFValue write SetDIVPREFValue;
    property DIVPAGF: String read GetDIVPAGFValue write SetDIVPAGFValue;
    property TASCAM: Float read GetTASCAMValue write SetTASCAMValue;
    property FECTAS: DateTime read GetFECTASValue write SetFECTASValue;
  end;

  { TRDX_CABVENDataTableRules }
  TRDX_CABVENDataTableRules = class(TDADataTableRules, IRDX_CABVEN)
  private
  protected
    { Property getters and setters }
    function GetCLAVE1Value: Float; virtual;
    procedure SetCLAVE1Value(const aValue: Float); virtual;
    function GetNUMINFValue: String; virtual;
    procedure SetNUMINFValue(const aValue: String); virtual;
    function GetFUNCIONValue: String; virtual;
    procedure SetFUNCIONValue(const aValue: String); virtual;
    function GetFECINIValue: DateTime; virtual;
    procedure SetFECINIValue(const aValue: DateTime); virtual;
    function GetFECFINValue: DateTime; virtual;
    procedure SetFECFINValue(const aValue: DateTime); virtual;
    function GetFECINFValue: DateTime; virtual;
    procedure SetFECINFValue(const aValue: DateTime); virtual;
    function GetPERVENINIValue: DateTime; virtual;
    procedure SetPERVENINIValue(const aValue: DateTime); virtual;
    function GetPERVENFINValue: DateTime; virtual;
    procedure SetPERVENFINValue(const aValue: DateTime); virtual;
    function GetEANOFIValue: String; virtual;
    procedure SetEANOFIValue(const aValue: String); virtual;
    function GetEANEMIValue: String; virtual;
    procedure SetEANEMIValue(const aValue: String); virtual;
    function GetEANRECValue: String; virtual;
    procedure SetEANRECValue(const aValue: String); virtual;
    function GetEANVENValue: String; virtual;
    procedure SetEANVENValue(const aValue: String); virtual;
    function GetEANALMValue: String; virtual;
    procedure SetEANALMValue(const aValue: String); virtual;
    function GetEANREPValue: String; virtual;
    procedure SetEANREPValue(const aValue: String); virtual;
    function GetEANPROValue: String; virtual;
    procedure SetEANPROValue(const aValue: String); virtual;
    function GetEANADMSAValue: String; virtual;
    procedure SetEANADMSAValue(const aValue: String); virtual;
    function GetEANREPSRValue: String; virtual;
    procedure SetEANREPSRValue(const aValue: String); virtual;
    function GetADMVENSAValue: String; virtual;
    procedure SetADMVENSAValue(const aValue: String); virtual;
    function GetREPDEPSRValue: String; virtual;
    procedure SetREPDEPSRValue(const aValue: String); virtual;
    function GetEMAILSAValue: String; virtual;
    procedure SetEMAILSAValue(const aValue: String); virtual;
    function GetNUMFAXSAValue: String; virtual;
    procedure SetNUMFAXSAValue(const aValue: String); virtual;
    function GetNUMTELSAValue: String; virtual;
    procedure SetNUMTELSAValue(const aValue: String); virtual;
    function GetNUMTLXSAValue: String; virtual;
    procedure SetNUMTLXSAValue(const aValue: String); virtual;
    function GetX400SAValue: String; virtual;
    procedure SetX400SAValue(const aValue: String); virtual;
    function GetEMAILSRValue: String; virtual;
    procedure SetEMAILSRValue(const aValue: String); virtual;
    function GetNUMFAXSRValue: String; virtual;
    procedure SetNUMFAXSRValue(const aValue: String); virtual;
    function GetNUMTELSRValue: String; virtual;
    procedure SetNUMTELSRValue(const aValue: String); virtual;
    function GetNUMTLXSRValue: String; virtual;
    procedure SetNUMTLXSRValue(const aValue: String); virtual;
    function GetX400SRValue: String; virtual;
    procedure SetX400SRValue(const aValue: String); virtual;
    function GetNUMPREValue: String; virtual;
    procedure SetNUMPREValue(const aValue: String); virtual;
    function GetNUMINFSCValue: String; virtual;
    procedure SetNUMINFSCValue(const aValue: String); virtual;
    function GetNUMCONValue: String; virtual;
    procedure SetNUMCONValue(const aValue: String); virtual;
    function GetFECPREValue: DateTime; virtual;
    procedure SetFECPREValue(const aValue: DateTime); virtual;
    function GetFECINFSCValue: DateTime; virtual;
    procedure SetFECINFSCValue(const aValue: DateTime); virtual;
    function GetFECCONValue: DateTime; virtual;
    procedure SetFECCONValue(const aValue: DateTime); virtual;
    function GetDIVPEDValue: String; virtual;
    procedure SetDIVPEDValue(const aValue: String); virtual;
    function GetDIVPREValue: String; virtual;
    procedure SetDIVPREValue(const aValue: String); virtual;
    function GetDIVPAGValue: String; virtual;
    procedure SetDIVPAGValue(const aValue: String); virtual;
    function GetDIVPEDFValue: String; virtual;
    procedure SetDIVPEDFValue(const aValue: String); virtual;
    function GetDIVPREFValue: String; virtual;
    procedure SetDIVPREFValue(const aValue: String); virtual;
    function GetDIVPAGFValue: String; virtual;
    procedure SetDIVPAGFValue(const aValue: String); virtual;
    function GetTASCAMValue: Float; virtual;
    procedure SetTASCAMValue(const aValue: Float); virtual;
    function GetFECTASValue: DateTime; virtual;
    procedure SetFECTASValue(const aValue: DateTime); virtual;

    { Properties }
    property CLAVE1: Float read GetCLAVE1Value write SetCLAVE1Value;
    property NUMINF: String read GetNUMINFValue write SetNUMINFValue;
    property FUNCION: String read GetFUNCIONValue write SetFUNCIONValue;
    property FECINI: DateTime read GetFECINIValue write SetFECINIValue;
    property FECFIN: DateTime read GetFECFINValue write SetFECFINValue;
    property FECINF: DateTime read GetFECINFValue write SetFECINFValue;
    property PERVENINI: DateTime read GetPERVENINIValue write SetPERVENINIValue;
    property PERVENFIN: DateTime read GetPERVENFINValue write SetPERVENFINValue;
    property EANOFI: String read GetEANOFIValue write SetEANOFIValue;
    property EANEMI: String read GetEANEMIValue write SetEANEMIValue;
    property EANREC: String read GetEANRECValue write SetEANRECValue;
    property EANVEN: String read GetEANVENValue write SetEANVENValue;
    property EANALM: String read GetEANALMValue write SetEANALMValue;
    property EANREP: String read GetEANREPValue write SetEANREPValue;
    property EANPRO: String read GetEANPROValue write SetEANPROValue;
    property EANADMSA: String read GetEANADMSAValue write SetEANADMSAValue;
    property EANREPSR: String read GetEANREPSRValue write SetEANREPSRValue;
    property ADMVENSA: String read GetADMVENSAValue write SetADMVENSAValue;
    property REPDEPSR: String read GetREPDEPSRValue write SetREPDEPSRValue;
    property EMAILSA: String read GetEMAILSAValue write SetEMAILSAValue;
    property NUMFAXSA: String read GetNUMFAXSAValue write SetNUMFAXSAValue;
    property NUMTELSA: String read GetNUMTELSAValue write SetNUMTELSAValue;
    property NUMTLXSA: String read GetNUMTLXSAValue write SetNUMTLXSAValue;
    property X400SA: String read GetX400SAValue write SetX400SAValue;
    property EMAILSR: String read GetEMAILSRValue write SetEMAILSRValue;
    property NUMFAXSR: String read GetNUMFAXSRValue write SetNUMFAXSRValue;
    property NUMTELSR: String read GetNUMTELSRValue write SetNUMTELSRValue;
    property NUMTLXSR: String read GetNUMTLXSRValue write SetNUMTLXSRValue;
    property X400SR: String read GetX400SRValue write SetX400SRValue;
    property NUMPRE: String read GetNUMPREValue write SetNUMPREValue;
    property NUMINFSC: String read GetNUMINFSCValue write SetNUMINFSCValue;
    property NUMCON: String read GetNUMCONValue write SetNUMCONValue;
    property FECPRE: DateTime read GetFECPREValue write SetFECPREValue;
    property FECINFSC: DateTime read GetFECINFSCValue write SetFECINFSCValue;
    property FECCON: DateTime read GetFECCONValue write SetFECCONValue;
    property DIVPED: String read GetDIVPEDValue write SetDIVPEDValue;
    property DIVPRE: String read GetDIVPREValue write SetDIVPREValue;
    property DIVPAG: String read GetDIVPAGValue write SetDIVPAGValue;
    property DIVPEDF: String read GetDIVPEDFValue write SetDIVPEDFValue;
    property DIVPREF: String read GetDIVPREFValue write SetDIVPREFValue;
    property DIVPAGF: String read GetDIVPAGFValue write SetDIVPAGFValue;
    property TASCAM: Float read GetTASCAMValue write SetTASCAMValue;
    property FECTAS: DateTime read GetFECTASValue write SetFECTASValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

  { IRDX_LUGVEN }
  IRDX_LUGVEN = interface(IDAStronglyTypedDataTable)
  ['{1F9C102A-BE07-4CEC-BBE3-7B062C9F8618}']
    { Property getters and setters }
    function GetCLAVE1Value: Float;
    procedure SetCLAVE1Value(const aValue: Float);
    function GetCLAVE2Value: Integer;
    procedure SetCLAVE2Value(const aValue: Integer);
    function GetEANLUGValue: String;
    procedure SetEANLUGValue(const aValue: String);
    function GetLUGVENValue: String;
    procedure SetLUGVENValue(const aValue: String);
    function GetFECINIValue: DateTime;
    procedure SetFECINIValue(const aValue: DateTime);
    function GetFECFINValue: DateTime;
    procedure SetFECFINValue(const aValue: DateTime);
    function GetPERVENINIValue: DateTime;
    procedure SetPERVENINIValue(const aValue: DateTime);
    function GetPERVENFINValue: DateTime;
    procedure SetPERVENFINValue(const aValue: DateTime);


    { Properties }
    property CLAVE1: Float read GetCLAVE1Value write SetCLAVE1Value;
    property CLAVE2: Integer read GetCLAVE2Value write SetCLAVE2Value;
    property EANLUG: String read GetEANLUGValue write SetEANLUGValue;
    property LUGVEN: String read GetLUGVENValue write SetLUGVENValue;
    property FECINI: DateTime read GetFECINIValue write SetFECINIValue;
    property FECFIN: DateTime read GetFECFINValue write SetFECFINValue;
    property PERVENINI: DateTime read GetPERVENINIValue write SetPERVENINIValue;
    property PERVENFIN: DateTime read GetPERVENFINValue write SetPERVENFINValue;
  end;

  { TRDX_LUGVENDataTableRules }
  TRDX_LUGVENDataTableRules = class(TDADataTableRules, IRDX_LUGVEN)
  private
  protected
    { Property getters and setters }
    function GetCLAVE1Value: Float; virtual;
    procedure SetCLAVE1Value(const aValue: Float); virtual;
    function GetCLAVE2Value: Integer; virtual;
    procedure SetCLAVE2Value(const aValue: Integer); virtual;
    function GetEANLUGValue: String; virtual;
    procedure SetEANLUGValue(const aValue: String); virtual;
    function GetLUGVENValue: String; virtual;
    procedure SetLUGVENValue(const aValue: String); virtual;
    function GetFECINIValue: DateTime; virtual;
    procedure SetFECINIValue(const aValue: DateTime); virtual;
    function GetFECFINValue: DateTime; virtual;
    procedure SetFECFINValue(const aValue: DateTime); virtual;
    function GetPERVENINIValue: DateTime; virtual;
    procedure SetPERVENINIValue(const aValue: DateTime); virtual;
    function GetPERVENFINValue: DateTime; virtual;
    procedure SetPERVENFINValue(const aValue: DateTime); virtual;

    { Properties }
    property CLAVE1: Float read GetCLAVE1Value write SetCLAVE1Value;
    property CLAVE2: Integer read GetCLAVE2Value write SetCLAVE2Value;
    property EANLUG: String read GetEANLUGValue write SetEANLUGValue;
    property LUGVEN: String read GetLUGVENValue write SetLUGVENValue;
    property FECINI: DateTime read GetFECINIValue write SetFECINIValue;
    property FECFIN: DateTime read GetFECFINValue write SetFECFINValue;
    property PERVENINI: DateTime read GetPERVENINIValue write SetPERVENINIValue;
    property PERVENFIN: DateTime read GetPERVENFINValue write SetPERVENFINValue;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

implementation

uses Variants;

{ TRDX_ARTVENDataTableRules }
constructor TRDX_ARTVENDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TRDX_ARTVENDataTableRules.Destroy;
begin
  inherited;
end;

function TRDX_ARTVENDataTableRules.GetCLAVE1Value: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENCLAVE1].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetCLAVE1Value(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENCLAVE1].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetCLAVE2Value: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENCLAVE2].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetCLAVE2Value(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENCLAVE2].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetCLAVE3Value: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENCLAVE3].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetCLAVE3Value(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENCLAVE3].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetEANARTValue: String;
begin
  result := DataTable.Fields[idx_RDX_ARTVENEANART].AsString;
end;

procedure TRDX_ARTVENDataTableRules.SetEANARTValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_ARTVENEANART].AsString := aValue;
end;

function TRDX_ARTVENDataTableRules.GetCODCOMValue: String;
begin
  result := DataTable.Fields[idx_RDX_ARTVENCODCOM].AsString;
end;

procedure TRDX_ARTVENDataTableRules.SetCODCOMValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_ARTVENCODCOM].AsString := aValue;
end;

function TRDX_ARTVENDataTableRules.GetNUMVARValue: String;
begin
  result := DataTable.Fields[idx_RDX_ARTVENNUMVAR].AsString;
end;

procedure TRDX_ARTVENDataTableRules.SetNUMVARValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_ARTVENNUMVAR].AsString := aValue;
end;

function TRDX_ARTVENDataTableRules.GetCODPROValue: String;
begin
  result := DataTable.Fields[idx_RDX_ARTVENCODPRO].AsString;
end;

procedure TRDX_ARTVENDataTableRules.SetCODPROValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_ARTVENCODPRO].AsString := aValue;
end;

function TRDX_ARTVENDataTableRules.GetDESARTCOValue: String;
begin
  result := DataTable.Fields[idx_RDX_ARTVENDESARTCO].AsString;
end;

procedure TRDX_ARTVENDataTableRules.SetDESARTCOValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_ARTVENDESARTCO].AsString := aValue;
end;

function TRDX_ARTVENDataTableRules.GetDESARTValue: String;
begin
  result := DataTable.Fields[idx_RDX_ARTVENDESART].AsString;
end;

procedure TRDX_ARTVENDataTableRules.SetDESARTValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_ARTVENDESART].AsString := aValue;
end;

function TRDX_ARTVENDataTableRules.GetNUMCONValue: String;
begin
  result := DataTable.Fields[idx_RDX_ARTVENNUMCON].AsString;
end;

procedure TRDX_ARTVENDataTableRules.SetNUMCONValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_ARTVENNUMCON].AsString := aValue;
end;

function TRDX_ARTVENDataTableRules.GetNUMLISValue: String;
begin
  result := DataTable.Fields[idx_RDX_ARTVENNUMLIS].AsString;
end;

procedure TRDX_ARTVENDataTableRules.SetNUMLISValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_ARTVENNUMLIS].AsString := aValue;
end;

function TRDX_ARTVENDataTableRules.GetCONESP1Value: String;
begin
  result := DataTable.Fields[idx_RDX_ARTVENCONESP1].AsString;
end;

procedure TRDX_ARTVENDataTableRules.SetCONESP1Value(const aValue: String);
begin
  DataTable.Fields[idx_RDX_ARTVENCONESP1].AsString := aValue;
end;

function TRDX_ARTVENDataTableRules.GetCONESP2Value: String;
begin
  result := DataTable.Fields[idx_RDX_ARTVENCONESP2].AsString;
end;

procedure TRDX_ARTVENDataTableRules.SetCONESP2Value(const aValue: String);
begin
  DataTable.Fields[idx_RDX_ARTVENCONESP2].AsString := aValue;
end;

function TRDX_ARTVENDataTableRules.GetCONESP3Value: String;
begin
  result := DataTable.Fields[idx_RDX_ARTVENCONESP3].AsString;
end;

procedure TRDX_ARTVENDataTableRules.SetCONESP3Value(const aValue: String);
begin
  DataTable.Fields[idx_RDX_ARTVENCONESP3].AsString := aValue;
end;

function TRDX_ARTVENDataTableRules.GetVALVENValue: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENVALVEN].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetVALVENValue(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENVALVEN].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetPRENETCTValue: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENPRENETCT].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetPRENETCTValue(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENPRENETCT].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetPREBRUCTValue: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENPREBRUCT].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetPREBRUCTValue(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENPREBRUCT].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetPREINFETValue: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENPREINFET].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetPREINFETValue(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENPREINFET].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetPREINFFTValue: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENPREINFFT].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetPREINFFTValue(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENPREINFFT].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetPRECALCTValue: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENPRECALCT].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetPRECALCTValue(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENPRECALCT].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetPRENETCAValue: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENPRENETCA].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetPRENETCAValue(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENPRENETCA].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetPREBRUCAValue: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENPREBRUCA].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetPREBRUCAValue(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENPREBRUCA].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetPREINFEAValue: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENPREINFEA].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetPREINFEAValue(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENPREINFEA].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetPREINFFAValue: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENPREINFFA].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetPREINFFAValue(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENPREINFFA].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetPRECALCAValue: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENPRECALCA].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetPRECALCAValue(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENPRECALCA].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetBAPRUN1Value: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENBAPRUN1].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetBAPRUN1Value(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENBAPRUN1].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetUNIMED1Value: String;
begin
  result := DataTable.Fields[idx_RDX_ARTVENUNIMED1].AsString;
end;

procedure TRDX_ARTVENDataTableRules.SetUNIMED1Value(const aValue: String);
begin
  DataTable.Fields[idx_RDX_ARTVENUNIMED1].AsString := aValue;
end;

function TRDX_ARTVENDataTableRules.GetBAPRUN2Value: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENBAPRUN2].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetBAPRUN2Value(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENBAPRUN2].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetUNIMED2Value: String;
begin
  result := DataTable.Fields[idx_RDX_ARTVENUNIMED2].AsString;
end;

procedure TRDX_ARTVENDataTableRules.SetUNIMED2Value(const aValue: String);
begin
  DataTable.Fields[idx_RDX_ARTVENUNIMED2].AsString := aValue;
end;

function TRDX_ARTVENDataTableRules.GetBAPRUN3Value: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENBAPRUN3].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetBAPRUN3Value(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENBAPRUN3].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetUNIMED3Value: String;
begin
  result := DataTable.Fields[idx_RDX_ARTVENUNIMED3].AsString;
end;

procedure TRDX_ARTVENDataTableRules.SetUNIMED3Value(const aValue: String);
begin
  DataTable.Fields[idx_RDX_ARTVENUNIMED3].AsString := aValue;
end;

function TRDX_ARTVENDataTableRules.GetBAPRUN4Value: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENBAPRUN4].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetBAPRUN4Value(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENBAPRUN4].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetUNIMED4Value: String;
begin
  result := DataTable.Fields[idx_RDX_ARTVENUNIMED4].AsString;
end;

procedure TRDX_ARTVENDataTableRules.SetUNIMED4Value(const aValue: String);
begin
  DataTable.Fields[idx_RDX_ARTVENUNIMED4].AsString := aValue;
end;

function TRDX_ARTVENDataTableRules.GetBAPRUN5Value: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENBAPRUN5].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetBAPRUN5Value(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENBAPRUN5].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetUNIMED5Value: String;
begin
  result := DataTable.Fields[idx_RDX_ARTVENUNIMED5].AsString;
end;

procedure TRDX_ARTVENDataTableRules.SetUNIMED5Value(const aValue: String);
begin
  DataTable.Fields[idx_RDX_ARTVENUNIMED5].AsString := aValue;
end;

function TRDX_ARTVENDataTableRules.GetCANVENValue: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENCANVEN].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetCANVENValue(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENCANVEN].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetEXIPROValue: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENEXIPRO].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetEXIPROValue(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENEXIPRO].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetDESEXIValue: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENDESEXI].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetDESEXIValue(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENDESEXI].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetESPMEDCVValue: String;
begin
  result := DataTable.Fields[idx_RDX_ARTVENESPMEDCV].AsString;
end;

procedure TRDX_ARTVENDataTableRules.SetESPMEDCVValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_ARTVENESPMEDCV].AsString := aValue;
end;

function TRDX_ARTVENDataTableRules.GetESPMEDEPValue: String;
begin
  result := DataTable.Fields[idx_RDX_ARTVENESPMEDEP].AsString;
end;

procedure TRDX_ARTVENDataTableRules.SetESPMEDEPValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_ARTVENESPMEDEP].AsString := aValue;
end;

function TRDX_ARTVENDataTableRules.GetESPMEDDEValue: String;
begin
  result := DataTable.Fields[idx_RDX_ARTVENESPMEDDE].AsString;
end;

procedure TRDX_ARTVENDataTableRules.SetESPMEDDEValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_ARTVENESPMEDDE].AsString := aValue;
end;

function TRDX_ARTVENDataTableRules.GetCANDEVValue: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENCANDEV].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetCANDEVValue(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENCANDEV].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetEANVENValue: String;
begin
  result := DataTable.Fields[idx_RDX_ARTVENEANVEN].AsString;
end;

procedure TRDX_ARTVENDataTableRules.SetEANVENValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_ARTVENEANVEN].AsString := aValue;
end;

function TRDX_ARTVENDataTableRules.GetNOMVENValue: String;
begin
  result := DataTable.Fields[idx_RDX_ARTVENNOMVEN].AsString;
end;

procedure TRDX_ARTVENDataTableRules.SetNOMVENValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_ARTVENNOMVEN].AsString := aValue;
end;

function TRDX_ARTVENDataTableRules.GetNUMTALONValue: String;
begin
  result := DataTable.Fields[idx_RDX_ARTVENNUMTALON].AsString;
end;

procedure TRDX_ARTVENDataTableRules.SetNUMTALONValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_ARTVENNUMTALON].AsString := aValue;
end;

function TRDX_ARTVENDataTableRules.GetCANVENNETValue: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENCANVENNET].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetCANVENNETValue(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENCANVENNET].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetUMEDVENNETValue: String;
begin
  result := DataTable.Fields[idx_RDX_ARTVENUMEDVENNET].AsString;
end;

procedure TRDX_ARTVENDataTableRules.SetUMEDVENNETValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_ARTVENUMEDVENNET].AsString := aValue;
end;

function TRDX_ARTVENDataTableRules.GetCANESPValue: Float;
begin
  result := DataTable.Fields[idx_RDX_ARTVENCANESP].AsFloat;
end;

procedure TRDX_ARTVENDataTableRules.SetCANESPValue(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_ARTVENCANESP].AsFloat := aValue;
end;

function TRDX_ARTVENDataTableRules.GetUMEDESPValue: String;
begin
  result := DataTable.Fields[idx_RDX_ARTVENUMEDESP].AsString;
end;

procedure TRDX_ARTVENDataTableRules.SetUMEDESPValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_ARTVENUMEDESP].AsString := aValue;
end;


{ TRDX_CABVENDataTableRules }
constructor TRDX_CABVENDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TRDX_CABVENDataTableRules.Destroy;
begin
  inherited;
end;

function TRDX_CABVENDataTableRules.GetCLAVE1Value: Float;
begin
  result := DataTable.Fields[idx_RDX_CABVENCLAVE1].AsFloat;
end;

procedure TRDX_CABVENDataTableRules.SetCLAVE1Value(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_CABVENCLAVE1].AsFloat := aValue;
end;

function TRDX_CABVENDataTableRules.GetNUMINFValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENNUMINF].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetNUMINFValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENNUMINF].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetFUNCIONValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENFUNCION].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetFUNCIONValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENFUNCION].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetFECINIValue: DateTime;
begin
  result := DataTable.Fields[idx_RDX_CABVENFECINI].AsDateTime;
end;

procedure TRDX_CABVENDataTableRules.SetFECINIValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RDX_CABVENFECINI].AsDateTime := aValue;
end;

function TRDX_CABVENDataTableRules.GetFECFINValue: DateTime;
begin
  result := DataTable.Fields[idx_RDX_CABVENFECFIN].AsDateTime;
end;

procedure TRDX_CABVENDataTableRules.SetFECFINValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RDX_CABVENFECFIN].AsDateTime := aValue;
end;

function TRDX_CABVENDataTableRules.GetFECINFValue: DateTime;
begin
  result := DataTable.Fields[idx_RDX_CABVENFECINF].AsDateTime;
end;

procedure TRDX_CABVENDataTableRules.SetFECINFValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RDX_CABVENFECINF].AsDateTime := aValue;
end;

function TRDX_CABVENDataTableRules.GetPERVENINIValue: DateTime;
begin
  result := DataTable.Fields[idx_RDX_CABVENPERVENINI].AsDateTime;
end;

procedure TRDX_CABVENDataTableRules.SetPERVENINIValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RDX_CABVENPERVENINI].AsDateTime := aValue;
end;

function TRDX_CABVENDataTableRules.GetPERVENFINValue: DateTime;
begin
  result := DataTable.Fields[idx_RDX_CABVENPERVENFIN].AsDateTime;
end;

procedure TRDX_CABVENDataTableRules.SetPERVENFINValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RDX_CABVENPERVENFIN].AsDateTime := aValue;
end;

function TRDX_CABVENDataTableRules.GetEANOFIValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENEANOFI].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetEANOFIValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENEANOFI].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetEANEMIValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENEANEMI].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetEANEMIValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENEANEMI].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetEANRECValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENEANREC].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetEANRECValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENEANREC].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetEANVENValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENEANVEN].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetEANVENValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENEANVEN].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetEANALMValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENEANALM].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetEANALMValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENEANALM].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetEANREPValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENEANREP].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetEANREPValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENEANREP].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetEANPROValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENEANPRO].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetEANPROValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENEANPRO].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetEANADMSAValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENEANADMSA].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetEANADMSAValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENEANADMSA].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetEANREPSRValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENEANREPSR].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetEANREPSRValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENEANREPSR].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetADMVENSAValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENADMVENSA].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetADMVENSAValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENADMVENSA].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetREPDEPSRValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENREPDEPSR].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetREPDEPSRValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENREPDEPSR].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetEMAILSAValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENEMAILSA].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetEMAILSAValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENEMAILSA].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetNUMFAXSAValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENNUMFAXSA].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetNUMFAXSAValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENNUMFAXSA].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetNUMTELSAValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENNUMTELSA].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetNUMTELSAValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENNUMTELSA].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetNUMTLXSAValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENNUMTLXSA].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetNUMTLXSAValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENNUMTLXSA].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetX400SAValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENX400SA].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetX400SAValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENX400SA].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetEMAILSRValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENEMAILSR].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetEMAILSRValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENEMAILSR].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetNUMFAXSRValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENNUMFAXSR].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetNUMFAXSRValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENNUMFAXSR].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetNUMTELSRValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENNUMTELSR].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetNUMTELSRValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENNUMTELSR].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetNUMTLXSRValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENNUMTLXSR].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetNUMTLXSRValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENNUMTLXSR].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetX400SRValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENX400SR].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetX400SRValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENX400SR].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetNUMPREValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENNUMPRE].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetNUMPREValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENNUMPRE].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetNUMINFSCValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENNUMINFSC].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetNUMINFSCValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENNUMINFSC].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetNUMCONValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENNUMCON].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetNUMCONValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENNUMCON].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetFECPREValue: DateTime;
begin
  result := DataTable.Fields[idx_RDX_CABVENFECPRE].AsDateTime;
end;

procedure TRDX_CABVENDataTableRules.SetFECPREValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RDX_CABVENFECPRE].AsDateTime := aValue;
end;

function TRDX_CABVENDataTableRules.GetFECINFSCValue: DateTime;
begin
  result := DataTable.Fields[idx_RDX_CABVENFECINFSC].AsDateTime;
end;

procedure TRDX_CABVENDataTableRules.SetFECINFSCValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RDX_CABVENFECINFSC].AsDateTime := aValue;
end;

function TRDX_CABVENDataTableRules.GetFECCONValue: DateTime;
begin
  result := DataTable.Fields[idx_RDX_CABVENFECCON].AsDateTime;
end;

procedure TRDX_CABVENDataTableRules.SetFECCONValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RDX_CABVENFECCON].AsDateTime := aValue;
end;

function TRDX_CABVENDataTableRules.GetDIVPEDValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENDIVPED].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetDIVPEDValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENDIVPED].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetDIVPREValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENDIVPRE].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetDIVPREValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENDIVPRE].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetDIVPAGValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENDIVPAG].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetDIVPAGValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENDIVPAG].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetDIVPEDFValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENDIVPEDF].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetDIVPEDFValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENDIVPEDF].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetDIVPREFValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENDIVPREF].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetDIVPREFValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENDIVPREF].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetDIVPAGFValue: String;
begin
  result := DataTable.Fields[idx_RDX_CABVENDIVPAGF].AsString;
end;

procedure TRDX_CABVENDataTableRules.SetDIVPAGFValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_CABVENDIVPAGF].AsString := aValue;
end;

function TRDX_CABVENDataTableRules.GetTASCAMValue: Float;
begin
  result := DataTable.Fields[idx_RDX_CABVENTASCAM].AsFloat;
end;

procedure TRDX_CABVENDataTableRules.SetTASCAMValue(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_CABVENTASCAM].AsFloat := aValue;
end;

function TRDX_CABVENDataTableRules.GetFECTASValue: DateTime;
begin
  result := DataTable.Fields[idx_RDX_CABVENFECTAS].AsDateTime;
end;

procedure TRDX_CABVENDataTableRules.SetFECTASValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RDX_CABVENFECTAS].AsDateTime := aValue;
end;


{ TRDX_LUGVENDataTableRules }
constructor TRDX_LUGVENDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TRDX_LUGVENDataTableRules.Destroy;
begin
  inherited;
end;

function TRDX_LUGVENDataTableRules.GetCLAVE1Value: Float;
begin
  result := DataTable.Fields[idx_RDX_LUGVENCLAVE1].AsFloat;
end;

procedure TRDX_LUGVENDataTableRules.SetCLAVE1Value(const aValue: Float);
begin
  DataTable.Fields[idx_RDX_LUGVENCLAVE1].AsFloat := aValue;
end;

function TRDX_LUGVENDataTableRules.GetCLAVE2Value: Integer;
begin
  result := DataTable.Fields[idx_RDX_LUGVENCLAVE2].AsInteger;
end;

procedure TRDX_LUGVENDataTableRules.SetCLAVE2Value(const aValue: Integer);
begin
  DataTable.Fields[idx_RDX_LUGVENCLAVE2].AsInteger := aValue;
end;

function TRDX_LUGVENDataTableRules.GetEANLUGValue: String;
begin
  result := DataTable.Fields[idx_RDX_LUGVENEANLUG].AsString;
end;

procedure TRDX_LUGVENDataTableRules.SetEANLUGValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_LUGVENEANLUG].AsString := aValue;
end;

function TRDX_LUGVENDataTableRules.GetLUGVENValue: String;
begin
  result := DataTable.Fields[idx_RDX_LUGVENLUGVEN].AsString;
end;

procedure TRDX_LUGVENDataTableRules.SetLUGVENValue(const aValue: String);
begin
  DataTable.Fields[idx_RDX_LUGVENLUGVEN].AsString := aValue;
end;

function TRDX_LUGVENDataTableRules.GetFECINIValue: DateTime;
begin
  result := DataTable.Fields[idx_RDX_LUGVENFECINI].AsDateTime;
end;

procedure TRDX_LUGVENDataTableRules.SetFECINIValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RDX_LUGVENFECINI].AsDateTime := aValue;
end;

function TRDX_LUGVENDataTableRules.GetFECFINValue: DateTime;
begin
  result := DataTable.Fields[idx_RDX_LUGVENFECFIN].AsDateTime;
end;

procedure TRDX_LUGVENDataTableRules.SetFECFINValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RDX_LUGVENFECFIN].AsDateTime := aValue;
end;

function TRDX_LUGVENDataTableRules.GetPERVENINIValue: DateTime;
begin
  result := DataTable.Fields[idx_RDX_LUGVENPERVENINI].AsDateTime;
end;

procedure TRDX_LUGVENDataTableRules.SetPERVENINIValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RDX_LUGVENPERVENINI].AsDateTime := aValue;
end;

function TRDX_LUGVENDataTableRules.GetPERVENFINValue: DateTime;
begin
  result := DataTable.Fields[idx_RDX_LUGVENPERVENFIN].AsDateTime;
end;

procedure TRDX_LUGVENDataTableRules.SetPERVENFINValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RDX_LUGVENPERVENFIN].AsDateTime := aValue;
end;


initialization
  RegisterDataTableRules(RID_RDX_ARTVEN, TRDX_ARTVENDataTableRules);
  RegisterDataTableRules(RID_RDX_CABVEN, TRDX_CABVENDataTableRules);
  RegisterDataTableRules(RID_RDX_LUGVEN, TRDX_LUGVENDataTableRules);

end.
